package main

import "fmt"

// fibonacci is a function that returns
// a function that returns an int.
func fibonacci() func() int {
	last := []int {0, 1}
	return func() int {
		ret := last[0]
		temp := []int {last[1], last[0] + last[1]}
		last = temp
		return ret
	}
}

func main() {
	f := fibonacci()
	for i := 0; i < 10; i++ {
		fmt.Println(f())
	}
}
