package main

import "golang.org/x/tour/pic"

func Pic(dx, dy int) [][]uint8 {
	var ret [][]uint8 = make([][]uint8, dx);
	for x := 0; x < dx; x++ {
		ret[x] = make([]uint8, dy);
		for y := 0; y < dy; y++ {
			ret[x][y] = uint8((x+y)/2);
		}
	}
	return ret;
}

func main() {
	pic.Show(Pic)
}
